<script setup lang="ts">
import { type Movie } from '@/utils/types'
import { genreName, htmlToText } from '@/utils/helpers'

const props = defineProps<{
  movie: Movie
}>()
</script>

<template>
  <v-card class="d-flex flex-column mx-auto"
          height="100%"
          max-width="344"
          :to="{name: 'movie', params: {id: movie.id}}"
  >
    <div class="fill-height">
      <v-img :src="movie.image"
             :alt="movie.name"
             height="400px"
             color="grey-lighten-2"
      />

      <v-card-title class="">
        {{ movie.name }}
      </v-card-title>

      <v-card-subtitle class="text-uppercase">
        {{ genreName(props.movie.genre).title }}
      </v-card-subtitle>

      <v-card-text v-html="htmlToText(movie.description as string)" class="text-truncate-3"/>
    </div>

    <v-card-actions class="d-flex justify-end">
      <v-btn color="indigo">
        Explore
      </v-btn>
    </v-card-actions>
  </v-card>
</template>
